class TopicRelationship < ActiveRecord::Base
  belongs_to :parent, class_name: 'Topic'
  belongs_to :child, class_name: 'Topic'

  validates_presence_of :parent, :child
  validates_uniqueness_of :child, scope: :parent
end
