class LearningObjectPolicy < ApplicationPolicy
  class Scope < Scope
    def resolve
      if user.nil?
        scope.where(state: 'published')
      elsif user.is_admin?
        scope.all
      else
        scope.where(state: 'published')
      end
    end
  end

  def show?
    if user.nil?
      record.state == 'published'
    elsif user.is_admin?
      record
    else
      record.state == 'published'
    end
  end
end
