namespace :portalmec do

  desc 'setup initial environment'
  task :setup do

    # runs db:drop db:create db:migrate
    Rake::Task['db:migrate:reset'].invoke
    Rake::Task['db:seed'].invoke

    Rake::Task['import:learning_objects'].invoke
    Rake::Task['import:topics'].invoke
    Rake::Task['topics:define_defaults'].invoke

    puts "\n Want to generate thumnails? [Y/N]"
    answer = STDIN.gets.chomp
    Rake::Task['thumbnail:create_missing'].invoke if answer =~ /y/i
  end

end
