require 'test_helper'

class ScoreTest < ActiveSupport::TestCase
  should have_many :score_user_categories
  should have_many(:user_categories).through(:score_user_categories)

  should validate_presence_of(:name)
  should validate_presence_of(:code)
  should validate_presence_of(:weight)

  should validate_uniqueness_of(:code)
end
